# Vagrantfile API/syntax version. Don"t touch unless you know what you"re doing!
VAGRANTFILE_API_VERSION = "2"

Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|
    # OS
    config.vm.box = "debian/wheezy64"
    #config.vm.network :forwarded_port, guest: 80, host: 8080
    
    # Configuration de la VM
    config.vm.provider "virtualbox" do |v|
        v.customize ["modifyvm", :id, "--memory", "2048"]
        v.customize ["modifyvm", :id, "--cpus", "2"]
    end
    
    # Network
    config.vm.network "private_network", ip: "192.168.80.80"
    
    # Configuration du dossier partagé
     config.vm.synced_folder ".", "/vagrant",
           group: "www-data",
           mount_options: ["dmode=775","fmode=664"],
           type: "virtualbox"
    
    # Configuration initiale de Debian
    config.vm.provision "shell", 
        inline: "export DEBIAN_FRONTEND=noninteractive &&
                    dpkg --add-architecture i386 &&
                    apt-get update &&
                    apt-get -q -y upgrade &&
                    apt-get install -y chef"
   
    # Configuration avec Chef
    # La base de donnée est importé si :
    #   - une base de donnée .chef/data/magento.sql.tar.gz est présente
    
    config.vm.provision :chef_solo do |chef|
	chef.channel = "stable"
	chef.version = "12.10.24"
        chef.cookbooks_path = ".chef/cookbooks"
        chef.add_recipe("boutikcircus")
        
        # Parametres
        chef.json = {
            :general => {
                :domain => "magekey.dev",
            },
            :mysql => {
                :pass_root => "boutikcircus",
                :table_prefix => "",
            },
            :magento => {
                :db_name => "magento",
            },
        }
    end
end
